Summary: The Internet Software Consortium (ISC) DHCP server
Name: dhcp
%define version 3.0b1pl13_cvs
Version: %{version}
Release: 1nw2
Group: System Environment/Daemons
Source: dhcp-%{version}.tar.gz
Source1: dhcpd.init
Copyright: ISC
BuildRoot: /var/tmp/dhcp-%{version}-root

%description
Dhcp includes the DHCP server which is used for dynamically configuring
hosts on a network.  Host configuration items such as IP address, name
servers, domain name, etc. can all be retrieved from the DHCP server by
a DHCP client.  This eases the burden of network wide configuration by
putting all of the configuration into one place.

%package client
Summary: A DHCP client
Group: System Environment/Configuration

%description client
Dhcp client is a DHCP client for various UNIX operating systems. It allows
a UNIX machine to obtain it's networking parameters from a DHCP server.

%package relay
Summary: A DHCP relay
Group: System Environment/Daemons

%description relay
Dhcp relay is a relay agent for DHCP packets.  It is used on a subnet with
DHCP clients to "relay" their requests to a subnet that has a DHCP server
on it.  Because DHCP packets can be broadcast, they will not be routed off
of the local subnet.  The DHCP relay takes care of this for the client.

%package devel
Summary: Development headers and libraries for the dhcpctl API
Group: Development/Libraries

%description devel
Dhcp devel contains all of the libraries and headers for developing with
the dhcpctl API.

%prep
%setup -q -n dhcp-3.0
# do some file editing
## egrep "VARRUN
## ETC
## VARDB" site.conf | sed -e 's/ *=/=/g' -e 's/= */=/g' > vars
## . ./vars
cat << EOF >> includes/site.h
#define _PATH_DHCPD_PID		"/var/run/dhcpd.pid"
#define _PATH_DHCPD_DB		"/etc/dhcpd.leases"
#define _PATH_DHCPD_CONF	"/etc/dhcpd.conf"
EOF

%build
./configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/sbin

make DESTDIR="$RPM_BUILD_ROOT" install

%ifos linux
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/{init,rc0,rc1,rc2,rc3,rc4,rc5,rc6}.d
install -m 755 ${RPM_SOURCE_DIR}/dhcpd.init ${RPM_BUILD_ROOT}/etc/rc.d/init.d/dhcpd
%else
%ifos solaris
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d
sed -e s'|@PREFIX@|%{_prefix}|g' < contrib/solaris.init > ${RPM_BUILD_ROOT}/etc/init.d/dhcpd
chmod 755 ${RPM_BUILD_ROOT}/etc/init.d/dhcpd
%endif
%endif

# strip binaries and libraries
strip $RPM_BUILD_ROOT%{_prefix}/sbin/* || :
for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%post
%ifos linux
    /sbin/chkconfig --add dhcpd
    /etc/rc.d/init.d/dhcpd start
%else
    %ifos solaris
	ln /etc/init.d/dhcpd /etc/rc2.d/S90dhcpd
	ln /etc/init.d/dhcpd /etc/rc0.d/K30dhcpd
	/etc/init.d/dhcpd start
    %else
	echo "Unknown O/S.  You will need to manually configure your\nsystem"
	echo "to start the DHCP server on system startup."
    %endif
%endif

%preun
if [ $1 = 0 ]; then
    %ifos linux
	/etc/rc.d/init.d/dhcpd stop
	/sbin/chkconfig --del dhcpd
    %else
	%ifos solaris
	    /etc/init.d/dhcpd stop
	    rm /etc/rc2.d/S90dhcpd
	    rm /etc/rc0.d/K30dhcpd
	%else
	    echo "Unknown O/S.  You will need to manually clean up the DHCP"
	    echo "server startup\n in your system startup environment."
	%endif
    %endif
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT DOCUMENTATION ISC-LICENSE README RELNOTES doc/*

%{_prefix}/sbin/dhcpd
%{_prefix}/man/man8/dhcpd.8
%{_prefix}/man/man5/dhcpd.conf.5
%{_prefix}/man/man5/dhcpd.leases.5
%{_prefix}/man/man5/dhcp-options.5
%{_prefix}/man/man5/dhcp-eval.5
%{_prefix}/man/man5/dhcp-contrib.5
%ifos linux
%config /etc/rc.d/init.d/dhcpd
%else
%ifos solaris
%config /etc/init.d/dhcpd
%endif
%endif

# %files devel
# %{_prefix}/man/cat3
# %{_prefix}/lib
# %{_prefix}/include

%files client
/etc/dhclient-script
/sbin/dhclient
%{_prefix}/man/man8/dhclient.8
%{_prefix}/man/man8/dhclient-script.8
%{_prefix}/man/man5/dhclient.conf.5
%{_prefix}/man/man5/dhclient.leases.5

%files relay
%{_prefix}/sbin/dhcrelay
%{_prefix}/man/man8/dhcrelay.8

%changelog
* Wed May 10 2000 Rod m. Stewart <stewart@netwinder.org>
- manually set the /etc and /var/run directories

* Tue Nov 22 1999 Rod m. Stewart <stewart@netwinder.org>
- changed release number and version number (3.0b1pl13_cvs-1_nw1)
- From CVS today
- This is beta software -- but is the only one which currently works
  on armv4l Linux
- do not build with --with-nsupdate
- run ./configure in build section not setup
- change to use dhcpd.init
- fix name for dhcprelay man page
- fix man page names for client package -- dhclient and dhclient-script
  do not use _prefix
- do not package devel subpackage

* Fri Oct  1 1999 Brian J. Murrell <brian@interlinx.bc.ca>
- write a spec file for dhcpd
